DTCPC(8)

NAME

dtcpc - Dynamic Tunnel Configuration Protocol(DTCP) Client

SYNTAX

dtcpc [option] <dtcp server>
dtcpc -k
dtcpc -h
dtcpc -v

DESCRIPTION

For IPv6 everywhere.

OPTIONS

-i|--interface <device name>
    specify dtcp device name as sit1(default 'dtcp').

-d|--debug
    display verbosely messages and not daemonize.

-u|--user <user name>
    set user name for dtcp authentication.

-p|--port
    set port number for dtcp service(default 20200).

-t|--tunnel <tunnel type>
    specify tunnel type. available types are: host, network, tunnelonly(default host).

-n|--network-device <network device>
    specify network device to redistribute network address. If you select network as tunnel type(-t), you must specify this option.

-r|--send-rs
    send RS packet. This option is available when you specify tunnelonly as tunnel type.

-c|--cycle <time(sec)>
    specify ping interval for KEEP ALIVE.

-k|--kill
    kill dtcpc.

-h|--help
    display help message.

-v|--version
    display version.

FILES

/var/run/dtcpc.pid

EXAMPLES

dtcpc dtcp-server.dtcp-server.com

Or with username:

dtcpc -u username dtcp-server.dtcp-server.com

If you want to close connection, just use '-k' option.

dtcpc -k

AUTHORS

Mitsuru KANDA <mk@{linux-ipv6,karaba}.org>

SEE ALSO

dtcp-draft-prt-13-may-1999.txt